<template>
  <v-btn text @click="toggleDarkTheme">
    <v-icon>{{ icon }}</v-icon>
    {{
      $_t(
        `components.app.theme_mode_changer.${
          $vuetify.theme.dark ? "dark" : "light"
        }`
      )
    }}
  </v-btn>
</template>

<script>
import { mapActions } from "vuex";

export default {
  name: "ThemeModeChanger",
  computed: {
    icon() {
      return this.$i18n.locale === "fa"
        ? "mdi-moon-waxing-crescent"
        : "mdi-moon-waning-crescent";
    },
  },
  methods: {
    ...mapActions({
      toggleDarkTheme: "theme/toggleDarkTheme",
    }),
  },
};
</script>

<style scoped></style>
